# OpalH224MediaType Class Reference

`#include <h224.h>`

Inheritance diagram for OpalH224MediaType:

[legend]
Collaboration diagram for OpalH224MediaType:
[legend]

## Public Member Functions

| OpalH224MediaType ()
virtual bool | MatchesSDP (const PCaselessString &sdpMediaType, const PCaselessString &sdpTransport, const PStringArray &sdpLines, PINDEX index)
| Determine of this media type is valid for SDP m= section.
virtual SDPMediaDescription * | CreateSDPMediaDescription (const OpalTransportAddress &localAddress) const
| create an SDP media description entry for this media type

## Static Public Member Functions

static const char * | Name ()
static const OpalMediaType & | MediaType ()
static const PCaselessString & | GetSDPMediaType ()

## Constructor & Destructor Documentation

OpalH224MediaType::OpalH224MediaType | ( |  | ) |

## Member Function Documentation

virtual SDPMediaDescription* OpalH224MediaType::CreateSDPMediaDescription | ( | const OpalTransportAddress & | localAddress | ) | const`[virtual]`

create an SDP media description entry for this media type

Reimplemented from OpalMediaTypeDefinition.

static const PCaselessString& OpalH224MediaType::GetSDPMediaType | ( |  | ) | `[static]`

virtual bool OpalH224MediaType::MatchesSDP | ( | const PCaselessString & | sdpMediaType,
|  | const PCaselessString & | sdpTransport,
|  | const PStringArray & | sdpLines,
|  | PINDEX | index |
| ) |  |  | `[virtual]`

Determine of this media type is valid for SDP m= section.

Reimplemented from OpalRTPAVPMediaType.

static const OpalMediaType& OpalH224MediaType::MediaType | ( |  | ) | `[static]`

static const char* OpalH224MediaType::Name | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- h224.h